<div class="addContainer">
  <div class="modalHeader">
    <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
      <mat-icon>close</mat-icon>
    </button>
  </div>
  <div mat-dialog-content>
    <div class="row form-group">
      <label class="col-sm-3 col-form-label labelf">Adjuntar archivo</label>
      <div class="custom-file col-sm-9">
      <input class="custom-file-input inputf" type="file"
          id="archivo"
          (change)="onFileChanged($event)"
          accept="image/png, image/jpeg">
      <label class="custom-file-label" for="customFileLang">Archivos</label>
      </div>
      <div style="padding-left: 50px;" class="col-md-12">
        <div
          *ngFor="let archivonom of nombredearchivos; let i = index"
          class="row"
        >
          <div class="col-md-12">
            <img
              *ngIf="
                tipodearchivo[i] === 'png' ||
                tipodearchivo[i] === 'jpg' ||
                tipodearchivo[i] === 'jpeg' ||
                tipodearchivo[i] === 'gif' ||
                tipodearchivo[i] === 'bmp' ||
                tipodearchivo[i] === 'ico'
              "
              src="assets/images/images-outline.svg"
              width="20px"
              height="20px"
              class="mr-2 imgS"
            />
            <label>{{ archivonom }}</label
            ><img
              (click)="quitararchivo(i)"
              src="assets/images/close-sharp.svg"
              class="pl-1 imgS"
              width="20px"
              height="20px"
            />
          </div>
        </div>
      </div>
    </div>
    <div class="form-group row">
      <label class="col-sm-2 col-form-label labelf">Descripción </label>
      <div class="col-sm-10">
      <input type="text" class="form-control inputf" [(ngModel)]="descripcion" placeholder="Descripción">
      </div>
  </div>
  <div class="form-group row">
    <div class="col-12 text-right">
    <button [disabled]="descripcion === ''" type="button" class="main-btn" style="line-height:20px;" (click)="crearcita2()">Continuar</button>
    </div>
  </div>    
  </div>
</div>
